public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-mp3info/
Date: Tue,  9 Apr 2024 05:27:54 +0000 (UTC)	[thread overview]
Message-ID: <1712640349.d6a21e6d4d0a3dff055a564b35812862f7b754aa.graaff@gentoo> (raw)

commit:     d6a21e6d4d0a3dff055a564b35812862f7b754aa
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  9 05:21:29 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Apr  9 05:25:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6a21e6d

dev-ruby/ruby-mp3info: add ruby33

Fix hoe and minitest deprecations.
Update HOMEPAGE.

Closes: https://bugs.gentoo.org/928918
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ruby-mp3info/ruby-mp3info-0.8.10-r1.ebuild | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/dev-ruby/ruby-mp3info/ruby-mp3info-0.8.10-r1.ebuild b/dev-ruby/ruby-mp3info/ruby-mp3info-0.8.10-r1.ebuild
index 41d25de060fb..69e7ed1491da 100644
--- a/dev-ruby/ruby-mp3info/ruby-mp3info-0.8.10-r1.ebuild
+++ b/dev-ruby/ruby-mp3info/ruby-mp3info-0.8.10-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
 
 RUBY_FAKEGEM_EXTRADOC="History.txt README.md"
 RUBY_FAKEGEM_GEMSPEC="ruby-mp3info.gemspec"
@@ -10,19 +10,24 @@ RUBY_FAKEGEM_GEMSPEC="ruby-mp3info.gemspec"
 inherit ruby-fakegem
 
 DESCRIPTION="A pure Ruby library for access to mp3 files (internal infos and tags)"
-HOMEPAGE="http://rubyforge.org/projects/ruby-mp3info/"
+HOMEPAGE="https://github.com/moumar/ruby-mp3info"
 SRC_URI="https://github.com/moumar/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-IUSE=""
+IUSE="test"
 
 DEPEND+=" test? ( media-sound/id3v2 )"
 
-ruby_add_bdepend "test? ( dev-ruby/hoe dev-ruby/test-unit:2 )"
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 )"
 
 all_ruby_prepare() {
 	sed -i -e "s:/tmp/test.mp3:${T}/test.mp3:" test/test_ruby-mp3info.rb || die
+	sed -i -e 's/MiniTest/Minitest/' test/helper.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib test/test_ruby-mp3info.rb || die
 }


             reply	other threads:[~2024-04-09  5:27 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-09  5:27 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-31 11:39 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-mp3info/ Hans de Graaff
2023-06-24 20:35 Hans de Graaff
2022-05-26 10:36 Hans de Graaff
2021-11-22 14:22 Hans de Graaff
2021-11-15  5:48 Hans de Graaff
2021-10-25  5:58 Hans de Graaff
2020-07-26  9:15 Hans de Graaff
2019-03-15  7:13 Hans de Graaff
2018-02-10  7:42 Hans de Graaff
2018-02-10  7:42 Hans de Graaff
2016-11-03  6:06 Hans de Graaff
2016-11-03  6:06 Hans de Graaff
2016-02-17 22:17 Manuel Rüger
2016-02-17 22:17 Manuel Rüger
2016-01-27  6:36 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712640349.d6a21e6d4d0a3dff055a564b35812862f7b754aa.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox